# coding: utf-8

"""
    Magneto API

    Magneto API is the RESTful API for the Rely.io platform.

    The version of the OpenAPI document: v0.0.1
    Contact: contact@rely.io
    Generated by OpenAPI Generator (https://openapi-generator.tech)

    Do not edit the class manually.
"""  # noqa: E501


import unittest

from magneto_api_client.models.reference_property import ReferenceProperty

class TestReferenceProperty(unittest.TestCase):
    """ReferenceProperty unit test stubs"""

    def setUp(self):
        pass

    def tearDown(self):
        pass

    def make_instance(self, include_optional) -> ReferenceProperty:
        """Test ReferenceProperty
            include_optional is a boolean, when False only required
            params are included, when True both required and
            optional params are included """
        # uncomment below to create an instance of `ReferenceProperty`
        """
        model = ReferenceProperty()
        if include_optional:
            return ReferenceProperty(
                title = '0',
                description = '',
                relation = '2/UUGjjNSwg0_bs9ZayIMrKdgNvb6gvxmPb9GcsM61ate1RA89q3w1l4eH4XxEz.5awxoFZxH/s6ED.kjUSnTINkYPUndNl8pmPg5K897Fu1J/Fj9R1_dz9rEoBi0LnU8SsOWJ7wYrcziVQdt8mVLxbg4bCLrLBcmXxWQK6MzKSg5jphe/0IfRRwpnT_Z.qKa_YppZepezJ0.VmLSUTLYyW.-e_jxxzpBvw.y-PuSI.13-AOsiPRVvnXrDhh58EJ/zOxprDzE3pjHRAkK7vI7kjcoPqzNk-YKJOXJ2zkgYnmU.hV4pJhQ7dhTAGxjARc6S/Kg2qVU-hA054g/0j8CXRM4JZgexx5VBmiUdb8V.5tS7Ce.8OP8jM/QXap-ieHoJL0cOHxhIz6IzRjPiSbv46JLcKaA.xTwLJc/koNQxJsCUIkorO.2KAnnTOE8M6xmSejA6BGR-RDxxWc493QsJ-JFtLrxtNb3Btp/GNB33FSliYEaSDC3Jwlo9Aq.OZySuG/BwuNL5ICjOL-uxZFN7oEXv3Rjr7mZXbY7cFU6HPiDV-aM8XFtx5/f7XxGahEx5as4igHCaWKgfGuN6Yogo9e2fmFQ_q_V0iz1l6lakAtMD7gXmnBhySbG7coPhWOlW/LvrLZaxa78JI_LGepDuQ3z.LtIx-RE8z6ZbHjzn3coUV-uTlEXw3Z8KLTvaqhte/pbwYU8rf85eyxCXQ02l2UfQbPWHwb-TbI1I6mS-9V.ofBBak-wevR6F-37RS4Mqp.z9OYCpSjEqZEdbOOqMN/k0MEG4PgSZp.tY7nzp2V09rLuCvfKd3LB7Nke4pyLFXi20uVuBIVQWxeziEmPj4.KIZ4EB/YGMeHwlQHgxMV_coQzDZPhSAcDWSu58NayafWzmTt.P7RTuj3iloSmvq6ptMXpaqws8RfvaYMfrqa8yWUbjaew8fGzxL8UBp/4IYjQxCBv0aEqODMs6-__HvAARQCZ_HKqroXyt6.Y8imaC5It9ZEZjIoZP9V1EjbA.tFQvgKOFpHUcVNnqDdEconiU/JR_OYqv01dQetO3oDTHSQdhLouT7merxKTcqNMpXfpU5ktnd4BBULIW0N/GhiW92gAEui/l-WoiEW.tzti/9q3K407VNjp2Rdt_M_wxbjDN-svNTMlZscMPUeqTE205sTZIkhsadNbiDH3R9hn/97bNktDzITop4y58kMdi7sEjYIZXQNI/G2UN7cFEvraG_8ul060s0W5myfNUsZOAfyRSKwumr7vrmbObYZ5LLOTkAJpJ6yD/EyKvzp-oyT1iV44YK-Q7W9XH_-nC87n1lMXx/cpcof84rc-bTU20M2sFqt4zswj63S37gymcb35PFmFooUEItJ/WXmmb6rN.PG7CfVVrIXdUuyma63xZJQfyqFaad9jaJKwsaFZawt9CZCsgO_EkphsT/YD6-2t-z_dodcIO0StQgTXeyp0Q.9qUn4jz1sIzDHdZi5DAKyeNjBARo.Dde72ZQ7rgUiF6NuAm_ZXdh-6NvD08O/uXF_iMcrZ0AkcxL21NwNNfADepMfPI-jxbyGRU9VFh._a9Mbcva1MSFLSU/GAcLlmJPzj1b/En-KXp2ZJ1qP6EIAQRw6KWw.PSWFS0LzB0tz6JsM-zfsuuNyQ1F-qNTmvGd/34AbRwr1Mi1qq8Bv/7r73NXsLH6lkp_YwgeBZkfv7aEST19XJTe9-4t-GIqXuFdD/054gT.SQFzTGrV3v-TunXGLysUh_by7pmMGuKPyyeSFxct6Ze7099nRsM3R50i8YYD7uU6_.V/RO7VbVfLxqbCc.GimutTgMtTfBOiI07gLv8fxp8Rrvb2oVixDwL_5GL/dkyb0ofYJLarfJrS4gkeTAfK5NMnpgtwWLpKWVb8A/uQa-TKwyJvJPBgILfXHpRfA79W9rCcVEcc1VmOZvW3..sp_E2t2terN4_2lcppBwgjIIFpE/9wjR-SU-K0GOwW4T/aO1NV6_Hx.5jhuPYUigmskjs38qptZPjGbQcMS6bq4jio6/n_hxYgCm.-Z/K_7Ms5LyP8NoYNVF5v/C_I7qzU/pSP39e4y_L-2jAgjSpNK_48uV.MZ7CZL92Y/TDLRif4BX0k_kxk.VTaov2mlM18SfVTJ/mcMNVIO85230RBh.y9g8MNnnvGKT10t.mI5XH9biew58zTl0rQVIApvKA-eQe3wv-SD86JI2WO4rz8dSltvVqfei/m5FrnEpLvFqwhHFvdn0kEWtwPAhULVh_u/c--m-15yE3/jO3gKaP-YHCaCFHZkWsh.mLTR_p_ZhJXuOoIsNHZsK-m5ntCxGzmy4lVW_PKmo-4vtEAhOm289Yqnh43gtmE0DcSlXRhP/iRTQHkAPGO-AROE-GYzP3aIBvIz2Du0PJgDeBXnU3IgkF7V.jBW/R9V8PHmR5UHiFYWfIRAHRUzlaQ_5fkL16fmprt8wmIyj95MZALC3mmE.9.9QIQ_TxYHnPGd129xGytHvWDBO.HWa9uog_gy/B_Lcv_NbdKzBHV0mHJ0otqw.2cVo74hoJwmXoaUvId.qA0zLPa/yNACHAPKtKgQ.wkE-FxSQB6am1_36v_4sO/L0-obeH_A5Q-g0U8nnM/tLSIw-h_9TVGO7HSAcUt2jm2mJ6jxIaRYSQHPbXmRPRzaWrmwaKy4EMWPwbc.aU2Q37XoigypCN/O-vMz_s2eIdV.ysI6yTso6oV4n2icY_UqIX3aXe8/fjQVrmDXiXxxvBTvfg06jgn9.ScpKH8N5C4XWGVGRk3j37rxQmI4kwvKHhIKCAUvIkWH6jwZxFRo-eIKF/u9HDcrUBkJ7XvQAc.6hPCiLNyumZW-bZ1Z1lFtnk615uonsVXHfF05q0NRqj15TZJbNNeHStQMOuYC_jqdm9E9SG-W_klzb/D/EIYyIete7WHGdGvaz8OlgB8y7yFT3urhGfXNdaf9LPJpeol/Hsm_twH5CZ0hw5E79TYBg5mTcvHosbmds0/lnttAjUMBqupVLK3x4-0AG976YmWGXzKcfMwo/AJe6AqMxeiI54JCwm88akvPHFEeT/B2_DFbeoWsodas1SE0ZbMSAutkOh5Xxm5JinIE.HSc3Uum5CXQM8IAqgV7Pt7UP7R.a.gxq3pkrhbyaL-/g06Y18ROfY0YdRY3jzlcCRRc0YCrW8XRt5tBgOBd9I6/WfODawxODTr6XaLBZ4N4HcKJ0/9/176mYQK5G5Zg_.QRvAnzbzYh01qrNB',
                var_property = '2',
                var_schema = {
                    'key' : null
                    }
            )
        else:
            return ReferenceProperty(
                title = '0',
                relation = '2/UUGjjNSwg0_bs9ZayIMrKdgNvb6gvxmPb9GcsM61ate1RA89q3w1l4eH4XxEz.5awxoFZxH/s6ED.kjUSnTINkYPUndNl8pmPg5K897Fu1J/Fj9R1_dz9rEoBi0LnU8SsOWJ7wYrcziVQdt8mVLxbg4bCLrLBcmXxWQK6MzKSg5jphe/0IfRRwpnT_Z.qKa_YppZepezJ0.VmLSUTLYyW.-e_jxxzpBvw.y-PuSI.13-AOsiPRVvnXrDhh58EJ/zOxprDzE3pjHRAkK7vI7kjcoPqzNk-YKJOXJ2zkgYnmU.hV4pJhQ7dhTAGxjARc6S/Kg2qVU-hA054g/0j8CXRM4JZgexx5VBmiUdb8V.5tS7Ce.8OP8jM/QXap-ieHoJL0cOHxhIz6IzRjPiSbv46JLcKaA.xTwLJc/koNQxJsCUIkorO.2KAnnTOE8M6xmSejA6BGR-RDxxWc493QsJ-JFtLrxtNb3Btp/GNB33FSliYEaSDC3Jwlo9Aq.OZySuG/BwuNL5ICjOL-uxZFN7oEXv3Rjr7mZXbY7cFU6HPiDV-aM8XFtx5/f7XxGahEx5as4igHCaWKgfGuN6Yogo9e2fmFQ_q_V0iz1l6lakAtMD7gXmnBhySbG7coPhWOlW/LvrLZaxa78JI_LGepDuQ3z.LtIx-RE8z6ZbHjzn3coUV-uTlEXw3Z8KLTvaqhte/pbwYU8rf85eyxCXQ02l2UfQbPWHwb-TbI1I6mS-9V.ofBBak-wevR6F-37RS4Mqp.z9OYCpSjEqZEdbOOqMN/k0MEG4PgSZp.tY7nzp2V09rLuCvfKd3LB7Nke4pyLFXi20uVuBIVQWxeziEmPj4.KIZ4EB/YGMeHwlQHgxMV_coQzDZPhSAcDWSu58NayafWzmTt.P7RTuj3iloSmvq6ptMXpaqws8RfvaYMfrqa8yWUbjaew8fGzxL8UBp/4IYjQxCBv0aEqODMs6-__HvAARQCZ_HKqroXyt6.Y8imaC5It9ZEZjIoZP9V1EjbA.tFQvgKOFpHUcVNnqDdEconiU/JR_OYqv01dQetO3oDTHSQdhLouT7merxKTcqNMpXfpU5ktnd4BBULIW0N/GhiW92gAEui/l-WoiEW.tzti/9q3K407VNjp2Rdt_M_wxbjDN-svNTMlZscMPUeqTE205sTZIkhsadNbiDH3R9hn/97bNktDzITop4y58kMdi7sEjYIZXQNI/G2UN7cFEvraG_8ul060s0W5myfNUsZOAfyRSKwumr7vrmbObYZ5LLOTkAJpJ6yD/EyKvzp-oyT1iV44YK-Q7W9XH_-nC87n1lMXx/cpcof84rc-bTU20M2sFqt4zswj63S37gymcb35PFmFooUEItJ/WXmmb6rN.PG7CfVVrIXdUuyma63xZJQfyqFaad9jaJKwsaFZawt9CZCsgO_EkphsT/YD6-2t-z_dodcIO0StQgTXeyp0Q.9qUn4jz1sIzDHdZi5DAKyeNjBARo.Dde72ZQ7rgUiF6NuAm_ZXdh-6NvD08O/uXF_iMcrZ0AkcxL21NwNNfADepMfPI-jxbyGRU9VFh._a9Mbcva1MSFLSU/GAcLlmJPzj1b/En-KXp2ZJ1qP6EIAQRw6KWw.PSWFS0LzB0tz6JsM-zfsuuNyQ1F-qNTmvGd/34AbRwr1Mi1qq8Bv/7r73NXsLH6lkp_YwgeBZkfv7aEST19XJTe9-4t-GIqXuFdD/054gT.SQFzTGrV3v-TunXGLysUh_by7pmMGuKPyyeSFxct6Ze7099nRsM3R50i8YYD7uU6_.V/RO7VbVfLxqbCc.GimutTgMtTfBOiI07gLv8fxp8Rrvb2oVixDwL_5GL/dkyb0ofYJLarfJrS4gkeTAfK5NMnpgtwWLpKWVb8A/uQa-TKwyJvJPBgILfXHpRfA79W9rCcVEcc1VmOZvW3..sp_E2t2terN4_2lcppBwgjIIFpE/9wjR-SU-K0GOwW4T/aO1NV6_Hx.5jhuPYUigmskjs38qptZPjGbQcMS6bq4jio6/n_hxYgCm.-Z/K_7Ms5LyP8NoYNVF5v/C_I7qzU/pSP39e4y_L-2jAgjSpNK_48uV.MZ7CZL92Y/TDLRif4BX0k_kxk.VTaov2mlM18SfVTJ/mcMNVIO85230RBh.y9g8MNnnvGKT10t.mI5XH9biew58zTl0rQVIApvKA-eQe3wv-SD86JI2WO4rz8dSltvVqfei/m5FrnEpLvFqwhHFvdn0kEWtwPAhULVh_u/c--m-15yE3/jO3gKaP-YHCaCFHZkWsh.mLTR_p_ZhJXuOoIsNHZsK-m5ntCxGzmy4lVW_PKmo-4vtEAhOm289Yqnh43gtmE0DcSlXRhP/iRTQHkAPGO-AROE-GYzP3aIBvIz2Du0PJgDeBXnU3IgkF7V.jBW/R9V8PHmR5UHiFYWfIRAHRUzlaQ_5fkL16fmprt8wmIyj95MZALC3mmE.9.9QIQ_TxYHnPGd129xGytHvWDBO.HWa9uog_gy/B_Lcv_NbdKzBHV0mHJ0otqw.2cVo74hoJwmXoaUvId.qA0zLPa/yNACHAPKtKgQ.wkE-FxSQB6am1_36v_4sO/L0-obeH_A5Q-g0U8nnM/tLSIw-h_9TVGO7HSAcUt2jm2mJ6jxIaRYSQHPbXmRPRzaWrmwaKy4EMWPwbc.aU2Q37XoigypCN/O-vMz_s2eIdV.ysI6yTso6oV4n2icY_UqIX3aXe8/fjQVrmDXiXxxvBTvfg06jgn9.ScpKH8N5C4XWGVGRk3j37rxQmI4kwvKHhIKCAUvIkWH6jwZxFRo-eIKF/u9HDcrUBkJ7XvQAc.6hPCiLNyumZW-bZ1Z1lFtnk615uonsVXHfF05q0NRqj15TZJbNNeHStQMOuYC_jqdm9E9SG-W_klzb/D/EIYyIete7WHGdGvaz8OlgB8y7yFT3urhGfXNdaf9LPJpeol/Hsm_twH5CZ0hw5E79TYBg5mTcvHosbmds0/lnttAjUMBqupVLK3x4-0AG976YmWGXzKcfMwo/AJe6AqMxeiI54JCwm88akvPHFEeT/B2_DFbeoWsodas1SE0ZbMSAutkOh5Xxm5JinIE.HSc3Uum5CXQM8IAqgV7Pt7UP7R.a.gxq3pkrhbyaL-/g06Y18ROfY0YdRY3jzlcCRRc0YCrW8XRt5tBgOBd9I6/WfODawxODTr6XaLBZ4N4HcKJ0/9/176mYQK5G5Zg_.QRvAnzbzYh01qrNB',
                var_property = '2',
        )
        """

    def testReferenceProperty(self):
        """Test ReferenceProperty"""
        # inst_req_only = self.make_instance(include_optional=False)
        # inst_req_and_optional = self.make_instance(include_optional=True)

if __name__ == '__main__':
    unittest.main()
